Page MenuHomePhabricator

Ignore assume like calls by default in hasAddressTaken()
ClosedPublic

Authored by rampitec on Feb 5 2021, 2:04 PM.

Diff Detail

Event Timeline

rampitec created this revision.Feb 5 2021, 2:04 PM
rampitec requested review of this revision.Feb 5 2021, 2:04 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 5 2021, 2:04 PM
Herald added a subscriber: wdng. · View Herald Transcript

ping. Do we need this?

rampitec updated this revision to Diff 337905.Apr 15 2021, 2:35 PM

Ping. It is there for quite a while already, nothing seems to be broken even though it is set to true in call graph builder.

jdoerfert accepted this revision.Apr 15 2021, 8:32 PM

I don't think we ever needed this flag and, TBH, I would remove it entirely.

This revision is now accepted and ready to land.Apr 15 2021, 8:32 PM

I don't think we ever needed this flag and, TBH, I would remove it entirely.

I can remove it instead and do it always.

I hope this doesn't run into the issues I observed in D98884. Doing bootstrap builds locally would strengthen testing.

I hope this doesn't run into the issues I observed in D98884. Doing bootstrap builds locally would strengthen testing.

That's the point. It is effectively default on for a long time already.

I hope this doesn't run into the issues I observed in D98884. Doing bootstrap builds locally would strengthen testing.

That's the point. It is effectively default on for a long time already.

"On" from CG builder but not from *all* places. Not all callers of this function are passing "true" for IgnoreAssumeLikeCalls.

This revision was landed with ongoing or failed builds.Apr 16 2021, 9:38 AM
This revision was automatically updated to reflect the committed changes.